List spending cards | Moov Documentation

List spending cards

List Moov issued cards existing for the account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET

/issuing/{accountID}/cards

Ask

curl -X GET "https://api.moov.io/issuing/{accountID}/cards" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cardIssuing.list({
    accountID: "17c958e0-3abe-46e5-8afb-98742f1fb8ac",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->cardIssuing->list(
    accountID: '17c958e0-3abe-46e5-8afb-98742f1fb8ac',
    skip: 60,
    count: 20
);

if ($response->issuedCards !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListIssuedCardsResponse res = sdk.cardIssuing().list()
                .accountID("17c958e0-3abe-46e5-8afb-98742f1fb8ac")
                .skip(60L)
                .count(20L)
                .call();

if (res.issuedCards().isPresent()) {
            System.out.println(res.issuedCards().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.card_issuing.list(account_id="17c958e0-3abe-46e5-8afb-98742f1fb8ac", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.card_issuing.list(account_id: '17c958e0-3abe-46e5-8afb-98742f1fb8ac', skip: 60, count: 20)

unless res.issued_cards.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.CardIssuing.ListAsync(
    accountID: "17c958e0-3abe-46e5-8afb-98742f1fb8ac",
    skip: 60,
    count: 20
);

// handle response

Example

[\
  {\
    "issuedCardID": "string",\
    "brand": "Visa",\
    "lastFourCardNumber": "string",\
    "expiration": {\
      "month": "01",\
      "year": "21"\
    },\
    "fundingWalletID": "string",\
    "authorizedUserAccountID": "string",\
    "nickname": "string",\
    "metadata": {\
      "optional": "metadata"\
    },\
    "billingAddress": {\
      "addressLine1": "123 Main Street",\
      "addressLine2": "Apt 302",\
      "city": "Boulder",\
      "stateOrProvince": "CO",\
      "postalCode": "80301",\
      "country": "US"\
    },\
    "state": "active",\
    "formFactor": "virtual",\
    "controls": {\
      "singleUse": true,\
      "velocityLimits": [\
        {\
          "amount": 10000,\
          "interval": "per-transaction"\
        }\
      ]\
    },\
    "createdOn": "2019-08-24T14:15:22Z",\
    "updatedOn": "2019-08-24T14:15:22Z"\
  }\
]

Response headers

Additional Information